com.amos.flyinn.wificonnector

## Class WifiStateMachine

- java.lang.Object
- - android.content.BroadcastReceiver
  - - com.amos.flyinn.wificonnector.WifiStateMachine

-     public class WifiStateMachine
      extends android.content.BroadcastReceiver

  Handle changes in the state of our connection setup and manage changes between stages.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class android.content.BroadcastReceiver

      `android.content.BroadcastReceiver.PendingResult`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `WifiStateMachine(android.net.wifi.p2p.WifiP2pManager manager, android.net.wifi.p2p.WifiP2pManager.Channel channel, WifiConnectorBase activity)` Create a new state machine object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getHostAddr()` Get the server host address from an existing connection.
    `void` | `onReceive(android.content.Context context, android.content.Intent intent)` Handle received intents.

    - ### Methods inherited from class android.content.BroadcastReceiver

      `abortBroadcast, clearAbortBroadcast, getAbortBroadcast, getDebugUnregister, getResultCode, getResultData, getResultExtras, goAsync, isInitialStickyBroadcast, isOrderedBroadcast, peekService, setDebugUnregister, setOrderedHint, setResult, setResultCode, setResultData, setResultExtras`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WifiStateMachine

          protected WifiStateMachine(android.net.wifi.p2p.WifiP2pManager manager,
                                     android.net.wifi.p2p.WifiP2pManager.Channel channel,
                                     WifiConnectorBase activity)

      Create a new state machine object.
      Parameters:
        `manager` -
        `channel` -
        `activity` -

  - ### Method Detail

    - #### getHostAddr

          public java.lang.String getHostAddr()
                                       throws java.lang.Exception

      Get the server host address from an existing connection.
      Returns:
      Throws:
        `java.lang.Exception`

    - #### onReceive

          public void onReceive(android.content.Context context,
                                android.content.Intent intent)

      Handle received intents. These are used to trigger state changes.
      Specified by:
        `onReceive` in class `android.content.BroadcastReceiver`
      Parameters:
        `context` -
        `intent` -